Get a tool by id
Server:
https://{kibana_url}
- GET /api/agent_builder/tools/{toolId}
- GET /s/{space_id}/api/agent_builder/tools/{toolId}
Refer to Spaces for more information.
Get a specific tool by ID. Use this endpoint to retrieve the complete tool definition including its schema and configuration requirements. To learn more about Agent Builder tools, refer to the tools documentation.
[Required authorization] Route required privileges: agentBuilder:read.
Path Parameters
-
toolIdstringrequired -
The unique identifier of the tool to retrieve.
Response
200
application/json
Indicates a successful response